Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.syntax
Class TokenMarker.LineContext

    java.lang.Object
      org.gjt.sp.jedit.syntax.TokenMarker.LineContext

Enclosing class:
  TokenMarker

    public static class TokenMarker.LineContext

extends java.lang.Object

Stores persistent per-line syntax parser state.

Field Summary
`ParserRule` | `escapeRule`
`ParserRule` | `inRule`
`TokenMarker.LineContext` | `parent`
`ParserRuleSet` | `rules`
`char[]` | `spanEndSubst`
`java.util.regex.Pattern` | `spanEndSubstRegex`

Constructor Summary
`TokenMarker.LineContext()`
`TokenMarker.LineContext(ParserRuleSet rs, TokenMarker.LineContext lc)`

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`TokenMarker.LineContext` | `intern()`
`void` | `setInRule(ParserRule rule)` Sets the current rule being processed and adjusts the escape rule for the context based on the rule.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    public TokenMarker.LineContext parent

### inRule

    public ParserRule inRule

### rules

    public ParserRuleSet rules

### spanEndSubst

    public char[] spanEndSubst

### spanEndSubstRegex

    public java.util.regex.Pattern spanEndSubstRegex

### escapeRule

    public ParserRule escapeRule

Constructor Detail

### TokenMarker.LineContext

    public TokenMarker.LineContext(ParserRuleSet rs,
                                   TokenMarker.LineContext lc)

### TokenMarker.LineContext

    public TokenMarker.LineContext()

Method Detail

### intern

    public TokenMarker.LineContext intern()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### setInRule

    public void setInRule(ParserRule rule)

  Sets the current rule being processed and adjusts the escape rule for the context based on the rule.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD